Skip to main content
POST
/
v1
/
renewal_intents
/
{id}
Update a renewal intent
curl --request POST \
  --url https://api.yorlet.com/v1/renewal_intents/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "assignee": "<string>",
  "metadata": {},
  "no_renewal": {
    "reason": "affordability",
    "sub_reason": "<string>",
    "reason_description": "<string>"
  },
  "renewal": {
    "end_date": 123,
    "start_date": 123
  },
  "rent_increase": {
    "current_rent": 123,
    "proposed_rent": 123,
    "notice_served_at": 123,
    "effective_date": 123,
    "tribunal_reference": "<string>",
    "tribunal_outcome_rent": 123,
    "tribunal_decided_at": 123,
    "reversed_at": 123
  },
  "status": "notice_served",
  "type": "no_renewal"
}
'
{
  "id": "<string>",
  "created": 123,
  "object": "renewal_intent",
  "application": {
    "id": "<string>",
    "created": 123,
    "object": "application",
    "advance_rent_amount": 123,
    "application_configuration": "<string>",
    "application_mode": "classic",
    "assignee": "<string>",
    "building": "<string>",
    "building_snapshot": {
      "name": "<string>",
      "single_unit": true
    },
    "completed_at": 123,
    "contract": "<string>",
    "contract_address": "<string>",
    "contract_options": {
      "automatic_counter_signature": true,
      "legal_entity": "<string>",
      "owner_signature_required": true,
      "send_applicant_email": true,
      "send_owner_completion_email": true
    },
    "contract_template": "<string>",
    "current_step": {
      "id": "<string>",
      "next_step": "<string>",
      "type": "advance_rent"
    },
    "currency": "gbp",
    "deal_assignee": "<string>",
    "deposit_amount": 123,
    "has_owner": true,
    "holding_fee_amount": 123,
    "end_behavior": "roll",
    "end_date": 123,
    "from_application": {
      "action": "revision",
      "application": "<string>"
    },
    "move_in_date": 123,
    "move_out_date": 123,
    "open": true,
    "owner_options": {
      "apply_unit_fees": true
    },
    "partial_payment": {
      "amount": 123,
      "description": "<string>"
    },
    "rent_term": "<string>",
    "start_date": 123,
    "status": "<string>",
    "subscription_data": {
      "collection_method": "charge_automatically",
      "interval": "month",
      "add_invoice_items": [
        {
          "amount": 123,
          "currency": "<string>",
          "description": "<string>",
          "tax_percent": 50,
          "transfer_behavior": "automatic",
          "type": "charge",
          "metadata": {},
          "price": "<string>",
          "tax_rate": "<string>",
          "transfer_destination": "<string>",
          "unit": "<string>"
        }
      ],
      "billing_anchor": 123,
      "billing_anchor_config": {
        "day_of_month": 16
      },
      "coupon": "<string>",
      "custom_fields": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "days_before_collection": 3,
      "days_until_due": 1,
      "end_date": 123,
      "end_date_config": {
        "day": 16,
        "month": 6,
        "year": 123
      },
      "first_invoice_creation": "immediately",
      "interval_count": 123,
      "items": [
        {
          "price_data": {
            "amount": 123,
            "currency": "<string>",
            "tax_percent": 123
          },
          "type": "charge",
          "description": "<string>",
          "metadata": {},
          "price": "<string>",
          "proration_behavior": "create_prorations",
          "schedule": [
            {
              "amount": 123,
              "effective_at": 123
            }
          ],
          "tax_rate": "<string>",
          "transfer_behavior": "automatic",
          "transfer_destination": "<string>",
          "unit": "<string>"
        }
      ],
      "phases": [
        {
          "start_date": 123,
          "items": [
            {
              "price_data": {
                "amount": 123,
                "currency": "<string>",
                "tax_percent": 123
              },
              "type": "charge",
              "description": "<string>",
              "metadata": {},
              "price": "<string>",
              "proration_behavior": "create_prorations",
              "schedule": [
                {
                  "amount": 123,
                  "effective_at": 123
                }
              ],
              "tax_rate": "<string>",
              "transfer_behavior": "automatic",
              "transfer_destination": "<string>",
              "unit": "<string>"
            }
          ]
        }
      ],
      "start_date": 123,
      "start_date_config": {
        "day": 16,
        "month": 6,
        "year": 123
      }
    },
    "type": "active_tenancy",
    "unit": "<string>",
    "unit_snapshot": {
      "name": "<string>"
    },
    "account": "<string>",
    "deleted": false,
    "applicants": {
      "count": 1,
      "has_more": false,
      "object": "list",
      "data": [
        {
          "id": "<string>",
          "created": 123,
          "object": "application.applicant",
          "application": "<string>",
          "advance_rent": {
            "amount": 123,
            "paid": true,
            "paid_off_platform": true,
            "transaction": "<string>"
          },
          "currency": "gbp",
          "customer": "<string>",
          "deposit": {
            "amount": 123,
            "paid": true,
            "paid_off_platform": true,
            "transaction": "<string>"
          },
          "guarantor": "<string>",
          "guarantor_contract": "<string>",
          "holding_fee": {
            "amount": 123,
            "paid": true,
            "paid_off_platform": true,
            "transaction": "<string>"
          },
          "lead_tenant": true,
          "permitted_occupier": true,
          "requirements": {
            "guarantor": true
          },
          "share_of_rent": 123,
          "status": "<string>",
          "tos_acceptance": {
            "date": 123,
            "ip": "<string>"
          },
          "account": "<string>",
          "deleted": false,
          "pets": [
            {
              "age": 123,
              "name": "<string>",
              "type": "dog"
            }
          ],
          "pre_qualification": {
            "affordability": {
              "company_name": "<string>",
              "gross_annual_salary": 123,
              "role": "<string>"
            },
            "nationality": "<string>"
          }
        }
      ]
    },
    "metadata": {},
    "steps": [
      {
        "id": "<string>",
        "status": "<string>",
        "type": "<string>"
      }
    ]
  },
  "canceled_at": 123,
  "completed_at": 123,
  "source_application": {
    "id": "<string>",
    "created": 123,
    "object": "application",
    "advance_rent_amount": 123,
    "application_configuration": "<string>",
    "application_mode": "classic",
    "assignee": "<string>",
    "building": "<string>",
    "building_snapshot": {
      "name": "<string>",
      "single_unit": true
    },
    "completed_at": 123,
    "contract": "<string>",
    "contract_address": "<string>",
    "contract_options": {
      "automatic_counter_signature": true,
      "legal_entity": "<string>",
      "owner_signature_required": true,
      "send_applicant_email": true,
      "send_owner_completion_email": true
    },
    "contract_template": "<string>",
    "current_step": {
      "id": "<string>",
      "next_step": "<string>",
      "type": "advance_rent"
    },
    "currency": "gbp",
    "deal_assignee": "<string>",
    "deposit_amount": 123,
    "has_owner": true,
    "holding_fee_amount": 123,
    "end_behavior": "roll",
    "end_date": 123,
    "from_application": {
      "action": "revision",
      "application": "<string>"
    },
    "move_in_date": 123,
    "move_out_date": 123,
    "open": true,
    "owner_options": {
      "apply_unit_fees": true
    },
    "partial_payment": {
      "amount": 123,
      "description": "<string>"
    },
    "rent_term": "<string>",
    "start_date": 123,
    "status": "<string>",
    "subscription_data": {
      "collection_method": "charge_automatically",
      "interval": "month",
      "add_invoice_items": [
        {
          "amount": 123,
          "currency": "<string>",
          "description": "<string>",
          "tax_percent": 50,
          "transfer_behavior": "automatic",
          "type": "charge",
          "metadata": {},
          "price": "<string>",
          "tax_rate": "<string>",
          "transfer_destination": "<string>",
          "unit": "<string>"
        }
      ],
      "billing_anchor": 123,
      "billing_anchor_config": {
        "day_of_month": 16
      },
      "coupon": "<string>",
      "custom_fields": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "days_before_collection": 3,
      "days_until_due": 1,
      "end_date": 123,
      "end_date_config": {
        "day": 16,
        "month": 6,
        "year": 123
      },
      "first_invoice_creation": "immediately",
      "interval_count": 123,
      "items": [
        {
          "price_data": {
            "amount": 123,
            "currency": "<string>",
            "tax_percent": 123
          },
          "type": "charge",
          "description": "<string>",
          "metadata": {},
          "price": "<string>",
          "proration_behavior": "create_prorations",
          "schedule": [
            {
              "amount": 123,
              "effective_at": 123
            }
          ],
          "tax_rate": "<string>",
          "transfer_behavior": "automatic",
          "transfer_destination": "<string>",
          "unit": "<string>"
        }
      ],
      "phases": [
        {
          "start_date": 123,
          "items": [
            {
              "price_data": {
                "amount": 123,
                "currency": "<string>",
                "tax_percent": 123
              },
              "type": "charge",
              "description": "<string>",
              "metadata": {},
              "price": "<string>",
              "proration_behavior": "create_prorations",
              "schedule": [
                {
                  "amount": 123,
                  "effective_at": 123
                }
              ],
              "tax_rate": "<string>",
              "transfer_behavior": "automatic",
              "transfer_destination": "<string>",
              "unit": "<string>"
            }
          ]
        }
      ],
      "start_date": 123,
      "start_date_config": {
        "day": 16,
        "month": 6,
        "year": 123
      }
    },
    "type": "active_tenancy",
    "unit": "<string>",
    "unit_snapshot": {
      "name": "<string>"
    },
    "account": "<string>",
    "deleted": false,
    "applicants": {
      "count": 1,
      "has_more": false,
      "object": "list",
      "data": [
        {
          "id": "<string>",
          "created": 123,
          "object": "application.applicant",
          "application": "<string>",
          "advance_rent": {
            "amount": 123,
            "paid": true,
            "paid_off_platform": true,
            "transaction": "<string>"
          },
          "currency": "gbp",
          "customer": "<string>",
          "deposit": {
            "amount": 123,
            "paid": true,
            "paid_off_platform": true,
            "transaction": "<string>"
          },
          "guarantor": "<string>",
          "guarantor_contract": "<string>",
          "holding_fee": {
            "amount": 123,
            "paid": true,
            "paid_off_platform": true,
            "transaction": "<string>"
          },
          "lead_tenant": true,
          "permitted_occupier": true,
          "requirements": {
            "guarantor": true
          },
          "share_of_rent": 123,
          "status": "<string>",
          "tos_acceptance": {
            "date": 123,
            "ip": "<string>"
          },
          "account": "<string>",
          "deleted": false,
          "pets": [
            {
              "age": 123,
              "name": "<string>",
              "type": "dog"
            }
          ],
          "pre_qualification": {
            "affordability": {
              "company_name": "<string>",
              "gross_annual_salary": 123,
              "role": "<string>"
            },
            "nationality": "<string>"
          }
        }
      ]
    },
    "metadata": {},
    "steps": [
      {
        "id": "<string>",
        "status": "<string>",
        "type": "<string>"
      }
    ]
  },
  "status": "accepted",
  "type": "no_renewal",
  "unit": "<string>",
  "account": "<string>",
  "deleted": false,
  "assignee": "<string>",
  "due_at": 123,
  "no_renewal": {
    "reason": "<string>",
    "reason_description": "<string>",
    "sub_reason": "<string>"
  },
  "renewal": {
    "end_date": 123,
    "start_date": 123
  },
  "rent_increase": {
    "current_rent": 123,
    "proposed_rent": 123,
    "notice_served_at": 123,
    "effective_date": 123,
    "tribunal_reference": "<string>",
    "tribunal_outcome_rent": 123,
    "tribunal_decided_at": 123,
    "reversed_at": 123
  }
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
assignee
string | null
Pattern: ^[a-zA-Z0-9_]+$
metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

no_renewal
object
renewal
object
rent_increase
object
status
enum<string>
Available options:
notice_served,
accepted,
challenged,
tribunal_decided,
effective,
withdrawn
type
enum<string>
Available options:
no_renewal,
renewal,
rent_increase

Response

200 - application/json

Returns the renewal intent if the update succeeded.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
renewal_intent
application
required
canceled_at
number | null
required
completed_at
number | null
required
source_application
required
status
enum<string>
required
Available options:
accepted,
canceled,
challenged,
complete,
effective,
leaving,
notice_served,
pending,
renewing,
tribunal_decided,
withdrawn
type
enum<string> | null
required
Available options:
no_renewal,
renewal,
rent_increase,
null
unit
required
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

assignee
string | null
due_at
number | null
no_renewal
object
renewal
object
rent_increase
object